<template>
  <v-card class="step">
    <v-container fluid>
      <v-row>
        <v-col cols="7">
          <v-row align="center">
            <v-col cols="6" class="text-h5">Large initial component of diphasic P wave in V1</v-col>
            <v-col cols="1">
              <v-switch v-model="DiphasicInitial"></v-switch>
            </v-col>
            <v-col cols="3">
              <v-icon>$DiphasicInitial</v-icon>
            </v-col>

          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">Large and wide terminal component of diphasic P wave in V1</v-col>
            <v-col cols="1">
              <v-switch v-model="DiphasicTerminal"></v-switch>
            </v-col>
            <v-col cols="3">
              <v-icon>$DiphasicTerminal</v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">P wave height larger than 2.5mm (2.5 small squares) in any of the limb leads (aVR, aVL,
              aVF)
            </v-col>
            <v-col cols="1">
              <v-switch v-model="PwaveHeight"></v-switch>
            </v-col>
            <v-col cols="3">
              <v-icon>$PwaveHeight</v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">Large R wave, bigger than S wave in V1</v-col>
            <v-col cols="1">
              <v-switch v-model="LargeRwaveS1"></v-switch>
            </v-col>
            <v-col cols="3">
              <v-icon class="mb-3">$LargeRwave</v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">Large V1 R wave gets progressively smaller from V2 to V3 to V4</v-col>
            <v-col cols="1">
              <v-switch v-model="RwaveDecrease"></v-switch>
            </v-col>
            <v-col cols="5">
              <v-icon>$RwaveDecrease</v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">S wave persists in V5 and V6</v-col>
            <v-col cols="1">
              <v-switch v-model="SwavePersists"></v-switch>
            </v-col>
          </v-row>
        </v-col>
        <v-col cols="5">
          <v-alert class="text-h5" border="left" color="pink" dark v-for="item in stepConclusions('hypertrophyI')" :key="item.diagnosis">
            {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
          </v-alert>
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'Hypertrophy',
  computed: {
    ...mapState(['DiphasicInitial', 'DiphasicTerminal', 'PwaveHeight', 'LargeRwaveS1', 'RwaveDecrease', 'SwavePersists']),
    ...mapGetters([
      'stepConclusions',
    ]),
    DiphasicInitial: {
      get() {
        return this.$store.state.DiphasicInitial;
      },
      set(value) {
        this.$store.commit('setDiphasicInitial', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    DiphasicTerminal: {
      get() {
        return this.$store.state.DiphasicTerminal;
      },
      set(value) {
        this.$store.commit('setDiphasicTerminal', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    PwaveHeight: {
      get() {
        return this.$store.state.PwaveHeight;
      },
      set(value) {
        this.$store.commit('setPwaveHeight', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    LargeRwaveS1: {
      get() {
        return this.$store.state.LargeRwaveS1;
      },
      set(value) {
        this.$store.commit('setLargeRwaveS1', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    RwaveDecrease: {
      get() {
        return this.$store.state.RwaveDecrease;
      },
      set(value) {
        this.$store.commit('setRwaveDecrease', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    SwavePersists: {
      get() {
        return this.$store.state.SwavePersists;
      },
      set(value) {
        this.$store.commit('setSwavePersists', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
};
</script>

<style scoped>

</style>
